Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.wli.control.mqseries
Annotation Type MQSeries.TCPSettings

    @Retention(value=RUNTIME)
    public static @interface MQSeries.TCPSettings

Specifies the TCP connection settings for the MQSeries control

Required Element Summary
`String` | `ccsid` This represents the Coded Character Set Id to be used while connecting to the queue manager.
`String` | `channel` This represents the server connection channel of the queue manager through which the connection is to be obtained.
`String` | `host` This represents the host name of the machine where the queue manager is running.
`String` | `password` This represents the password of the user connecting to the queue manager.
`String` | `port` This represents the port number of the queue manager.
`String` | `receiveExit` This represents the fully qualified name of the class implementing the MQSeries MQReceiveExit interface.
`String` | `securityExit` This represents the fully qualified name of the class implementing the MQSeries MQSecurityExit interface.
`String` | `sendExit` This represents the fully qualified name of the class implementing the MQSeries MQSendExit interface.
`String` | `user` This represents the user who is connecting to the queue manager.

Element Detail

### host

    public abstract String host

  This represents the host name of the machine where the queue manager is running.

### port

    public abstract String port

  This represents the port number of the queue manager.

### channel

    public abstract String channel

  This represents the server connection channel of the queue manager through which the connection is to be obtained.

### ccsid

    public abstract String ccsid

  This represents the Coded Character Set Id to be used while connecting to the queue manager.

### user

    public abstract String user

  This represents the user who is connecting to the queue manager.

### password

    public abstract String password

  This represents the password of the user connecting to the queue manager.

### sendExit

    public abstract String sendExit

  This represents the fully qualified name of the class implementing the MQSeries MQSendExit interface.

### receiveExit

    public abstract String receiveExit

  This represents the fully qualified name of the class implementing the MQSeries MQReceiveExit interface.

### securityExit

    public abstract String securityExit

  This represents the fully qualified name of the class implementing the MQSeries MQSecurityExit interface.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT